import * as z from 'zod';
// prettier-ignore
export const UserInputSchema = z.object({
    id: z.number().int(),
    username: z.string(),
    password: z.string(),
    autoBackupEnabled: z.boolean(),
    autoBackupHour: z.number().int(),
    usbBackupEnabled: z.boolean(),
    usbBackupHour: z.number().int(),
    autoMhCheckEnabled: z.boolean(),
    autoMhCheckDayOfWeek: z.number().int(),
    autoMhCheckHour: z.number().int(),
    patients: z.array(z.unknown()),
    appointments: z.array(z.unknown()),
    staff: z.array(z.unknown()),
    npiProviders: z.array(z.unknown()),
    claims: z.array(z.unknown()),
    insuranceCredentials: z.array(z.unknown()),
    shoppingVendors: z.array(z.unknown()),
    updatedPayments: z.array(z.unknown()),
    backups: z.array(z.unknown()),
    backupDestinations: z.array(z.unknown()),
    notifications: z.array(z.unknown()),
    cloudFolders: z.array(z.unknown()),
    cloudFiles: z.array(z.unknown()),
    communications: z.array(z.unknown()),
    twilioSettings: z.unknown().optional().nullable(),
    aiSettings: z.unknown().optional().nullable(),
    officeHours: z.unknown().optional().nullable(),
    officeContact: z.unknown().optional().nullable(),
    procedureTimeslot: z.unknown().optional().nullable(),
    insuranceContacts: z.array(z.unknown()),
    patientConversations: z.array(z.unknown()),
    labRxTemplates: z.array(z.unknown()),
    seleniumSettings: z.unknown().optional().nullable()
}).strict();

export type UserInputType = z.infer<typeof UserInputSchema>;
